Page MenuHomePhabricator

Document Community Liaisons and Developer Relations coverage
Closed, DuplicatePublic

Description

Our communities and Wikimedia Foundation teams would benefit from an explanation of the areas covered by the Community Liaisons and Developer Relations teams. Currently both team pages provide a lot of information, but it is not easy to see who does what (and what areas are not covered by these teams.

How to reflect "coverage"? Some useful parameters come to mind:

  • WMF teams. Who is working with Reading, Editing, etc? We could define the primary contact, other contacts (team members with % of time allocated), and other team members with expertise / interest in that area.
  • Topics. Same for topic areas like WMF product development process, Community Wishlist, Communication, Translations, Outreach, Events, Tech Ambassadors...
  • Communities. Same for Wikimedia communities actively followed. by team members.
  • Languages. Same for languages covered by team members, probably using Babel levels.

The idea of the primary contact probably makes more sense for WMF teams and topics, less so for communities and languages. We can fine tune details as we go.

See also: T135819: Documentation of daily activities and responsibilities of CLs and Product teams

Event Timeline

Qgil created this task.Jan 18 2016, 9:01 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, StudiesWorld, Rdicerb, Aklapper.
Qgil added a comment.Jan 18 2016, 9:13 AM

About coverage of communities, it would be useful to have a ranking of Wikimedia projects sorted by number of editors with +100 edits monthly (the definition of very active editors). The assumption being that communities with more very active editors are likely to be the ones with more opinions and discussion about software products and features.

Ideally the top of this list would be covered by identified and active Tech Ambassadors. If not, ideally we should cover the void while recruiting ambassadors. This is easier said than done, but the first step would be to have this map.

Maybe something like this exists already?

Elitre added a subscriber: Elitre.Jan 18 2016, 10:56 AM

I think it would be easy to make such a chart for Wikipedias (like this one) as data is already available. I don't know that the same data exists for all projects though. Specifying teams, topics and languages shouldn't be a problem. As for communities, there is basically no formal assignment behind those already specified in the descriptions (some may keep an eye on a certain wiki purely out of personal, volunteer interest).

Qgil added a comment.Jan 18 2016, 2:22 PM

Yes, now that you mention it, the ranking of projects is more relevant to map tech ambassadors than to map the coverage of liaisons. (Still, I would welcome any advice on how to get such list. @Elitre's table shows active editors (25 edits / month), but I believe for our estimation it is better to count very active editors (100 edits/month).

By the way, I just remembered about https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Skill_matrix -- which is more or less how the Release Engineering team maps their coverage.

Elitre added a comment.EditedJan 18 2016, 2:37 PM

Getting data's always been a pain in the neck for us. "My" table defines active editors as "registered users who have made at least one edit in the last thirty days". I found another table at https://meta.wikimedia.org/wiki/Active_users/users (see lower part of page).
Very active editors are tracked at http://reportcard.wmflabs.org/graphs/very_active_editors only for a few projects.
See also https://stats.wikimedia.org/EN/TablesWikipediansEditsGt100.htm .

Quick'n'dirty half-baken, for the CL page: Add two bullet items like

  • Main areas and topics: Flow, Wishlist, Kittens.
  • Communities interested in: Kongolese sites, English Wikispecies.

etc. (with proper linking to "Flow" etc) to each name's section? Does not address what is not covered though, but got to start somewhere.

(If that makes a little bit of sense, DR can take over that "list the CL team members" design on the DR page (some text about each person; move photos to the right).

Oh, and {{#babel:ab-2|cd-2|ef-1}} does not look very usable to me (yet). For example, "User language" is always the hard-coded generic box header.

Rdicerb triaged this task as Medium priority.
Rdicerb set Security to None.

Pending Q4 Goals conversation with team on 7 March

Any feedback on T123913#2015699 (add bullet points to each name; take over design of people section on CL page to people section on DR page)? Okay'ish idea to start with? Bad idea?

Qgil added a comment.Mar 9 2016, 8:29 AM

Well, sure, two bullet points would be a quick solution that would take a few minutes to implement. That would be progress.

Any feedback about going beyond that, adapting the idea of https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Skill_matrix to our case? Imagine one table for WMF teams/projects we support, another one for activities we we perform, another one for Wikimedia projects we watch, maybe a last one for languages we understand.

Qgil claimed this task.Apr 1 2016, 7:10 PM
Qgil moved this task from January-March 2016 to Apr-Jun-2016 on the Developer-Advocacy board.
Qgil lowered the priority of this task from Medium to Low.Apr 2 2016, 1:36 PM
Qgil updated the task description. (Show Details)May 24 2016, 2:25 PM